Subject: Re: [Sip] Revised Path draft (-04) submitted

From: Dean Willis <[email-masked]>
Date: Sun, 5 May 2002 15:11:15 -0500

On Tuesday 30 April 2002 04:19 am, Tan Ya-Ching  ICM N PG U ID A 1 wrote:
> Dean,
>
> Just nits:
>
> - The first line of Path in Table 3 should have a "o" under REG.

Once again, I find these tables confusing.  The bis draft says:

   "Optional" means that a UA MAY include the header field in a request
   or response, and a UA MAY ignore the header field if present in the
   request or response (The exception to this rule is the Require header
   field discussed in 20.32). A "mandatory" header field MUST be present
   in a request, and MUST be understood by the UAS receiving the
   request. A mandatory response header field MUST be present in the
   response, and the header field MUST be understood by the UAC
   processing the response. "Not applicable" means that the header field
   MUST NOT be present in a request. If one is placed in a request by
   mistake, it MUST be ignored by the UAS receiving the request.
   Similarly, a header field labeled "not applicable" for a response
   means that the UAS MUST NOT place the header field in the response,
   and the UAC MUST ignore the header field in the response.

I think you're suggesting that the Table 2/3 entry for Path should have an O 
for the  value representing its applicability in a registration request as 
generated by the UA.  At least, that's what I think putting an O there means.

I don't believe this is what we want. The UA MUST NOT insert a Path header in 
its registration request. Proxies may add one or append to one inserted by 
another proxy.

So how do the rest of you read this table?

--
Dean

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip